InvalidCharException (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.io
Class InvalidCharException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bbn.openmap.io.FormatException
                  com.bbn.openmap.io.InvalidCharException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidCharException

extends FormatException

An invalid character occurred on in input stream.

See Also:
  Serialized Form

Field Summary
`char` | `c` the invalid character that we found

Constructor Summary
`InvalidCharException(char val)` Construct an object with no detail message
`InvalidCharException(java.lang.String s, char val)` Construct an object with a detail message

Method Summary

Methods inherited from class com.bbn.openmap.io.FormatException
`getRootCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### c

    public final char c

  the invalid character that we found

Constructor Detail

### InvalidCharException

    public InvalidCharException(char val)

  Construct an object with no detail message

  Parameters:
    `val` - the character encountered

### InvalidCharException

    public InvalidCharException(java.lang.String s,
                                char val)

  Construct an object with a detail message

  Parameters:
    `s` - the detail message
    `val` - the character encountered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details